Package net.sf.saxon.z

## Class IntEmptySet

- java.lang.Object
- - net.sf.saxon.z.IntEmptySet

- All Implemented Interfaces:
    `IntSet`

      public class IntEmptySet
      extends java.lang.Object
      implements IntSet

  An immutable integer set containing no integers

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(int value)` | Add an integer to the set
    `void` | `clear()` | Clear the contents of the IntSet (making it an empty set)
    `boolean` | `contains​(int value)` | Determine whether a particular integer is present in the set
    `boolean` | `containsAll​(IntSet other)` | Test if this set is a superset of another set
    `IntSet` | `copy()` | Create a copy of this IntSet that leaves the original unchanged.
    `IntSet` | `except​(IntSet other)` | Form a new set that is the difference of this set and another set.
    `static IntEmptySet` | `getInstance()` |
    `IntSet` | `intersect​(IntSet other)` | Form a new set that is the intersection of two IntSets.
    `boolean` | `isEmpty()` | Determine if the set is empty
    `boolean` | `isMutable()` | Ask whether the set permits in-situ modifications using add() and remove()
    `IntIterator` | `iterator()` | Get an iterator over the values
    `IntSet` | `mutableCopy()` | Create a copy of this IntSet that contains the same set of integers.
    `boolean` | `remove​(int value)` | Remove an integer from the set
    `int` | `size()` | Get the number of integers in the set
    `IntSet` | `union​(IntSet other)` | Form a new set that is the union of two IntSets.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static IntEmptySet getInstance()

    - #### copy

          public IntSet copy()

      Description copied from interface: `IntSet`
      Create a copy of this IntSet that leaves the original unchanged.
      Specified by:
        `copy` in interface `IntSet`
      Returns:
        an IntSet containing the same integers. The result will not necessarily be the same class as the original. It will either be an immutable object, or a newly constructed object.

    - #### mutableCopy

          public IntSet mutableCopy()

      Description copied from interface: `IntSet`
      Create a copy of this IntSet that contains the same set of integers.
      Specified by:
        `mutableCopy` in interface `IntSet`
      Returns:
        an IntSet containing the same integers. The result will not necessarily be the same class as the original. It will always be a mutable object

    - #### isMutable

          public boolean isMutable()

      Description copied from interface: `IntSet`
      Ask whether the set permits in-situ modifications using add() and remove()
      Specified by:
        `isMutable` in interface `IntSet`

    - #### clear

          public void clear()

      Description copied from interface: `IntSet`
      Clear the contents of the IntSet (making it an empty set)
      Specified by:
        `clear` in interface `IntSet`

    - #### size

          public int size()

      Description copied from interface: `IntSet`
      Get the number of integers in the set
      Specified by:
        `size` in interface `IntSet`
      Returns:
        the size of the set

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `IntSet`
      Determine if the set is empty
      Specified by:
        `isEmpty` in interface `IntSet`
      Returns:
        true if the set is empty, false if not

    - #### contains

          public boolean contains​(int value)

      Description copied from interface: `IntSet`
      Determine whether a particular integer is present in the set
      Specified by:
        `contains` in interface `IntSet`
      Parameters:
        `value` - the integer under test
      Returns:
        true if value is present in the set, false if not

    - #### remove

          public boolean remove​(int value)

      Description copied from interface: `IntSet`
      Remove an integer from the set
      Specified by:
        `remove` in interface `IntSet`
      Parameters:
        `value` - the integer to be removed
      Returns:
        true if the integer was present in the set, false if it was not present

    - #### add

          public boolean add​(int value)

      Description copied from interface: `IntSet`
      Add an integer to the set
      Specified by:
        `add` in interface `IntSet`
      Parameters:
        `value` - the integer to be added
      Returns:
        true if the integer was added, false if it was already present

    - #### iterator

          public IntIterator iterator()

      Description copied from interface: `IntSet`
      Get an iterator over the values
      Specified by:
        `iterator` in interface `IntSet`
      Returns:
        an iterator over the integers in the set

    - #### union

          public IntSet union​(IntSet other)

      Description copied from interface: `IntSet`
      Form a new set that is the union of two IntSets.
      Specified by:
        `union` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the union of the two sets

    - #### intersect

          public IntSet intersect​(IntSet other)

      Description copied from interface: `IntSet`
      Form a new set that is the intersection of two IntSets.
      Specified by:
        `intersect` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the intersection of the two sets

    - #### except

          public IntSet except​(IntSet other)

      Description copied from interface: `IntSet`
      Form a new set that is the difference of this set and another set. The result will either be an immutable object, or a newly constructed object.
      Specified by:
        `except` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the intersection of the two sets

    - #### containsAll

          public boolean containsAll​(IntSet other)

      Description copied from interface: `IntSet`
      Test if this set is a superset of another set
      Specified by:
        `containsAll` in interface `IntSet`
      Parameters:
        `other` - the other set
      Returns:
        true if every item in the other set is also in this set